## WebKitDOMEvent

WebKitDOMEvent

## Functions

void | webkit_dom_event_stop_propagation ()
void | webkit_dom_event_prevent_default ()
void | webkit_dom_event_init_event ()
void | webkit_dom_event_stop_immediate_propagation ()
WebKitDOMEventTarget * | webkit_dom_event_get_target ()
WebKitDOMEventTarget * | webkit_dom_event_get_current_target ()
gushort | webkit_dom_event_get_event_phase ()
gboolean | webkit_dom_event_get_bubbles ()
gboolean | webkit_dom_event_get_cancelable ()
guint32 | webkit_dom_event_get_time_stamp ()
gboolean | webkit_dom_event_get_default_prevented ()
WebKitDOMEventTarget * | webkit_dom_event_get_src_element ()
gboolean | webkit_dom_event_get_return_value ()
void | webkit_dom_event_set_return_value ()
gboolean | webkit_dom_event_get_cancel_bubble ()
void | webkit_dom_event_set_cancel_bubble ()

## Properties

gboolean | bubbles | Read
gboolean | cancel-bubble | Read / Write
gboolean | cancelable | Read
WebKitDOMEventTarget * | current-target | Read
gboolean | default-prevented | Read
guint | event-phase | Read
gboolean | return-value | Read / Write
WebKitDOMEventTarget * | src-element | Read
WebKitDOMEventTarget * | target | Read
guint | time-stamp | Read
gchar * | type | Read

## Types and Values

| WebKitDOMEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ├── WebKitDOMUIEvent
                ╰── WebKitDOMTrackEvent

## Description

## Functions

### webkit_dom_event_stop_propagation ()

    void
    webkit_dom_event_stop_propagation (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

### webkit_dom_event_prevent_default ()

    void
    webkit_dom_event_prevent_default (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

### webkit_dom_event_init_event ()

    void
    webkit_dom_event_init_event (WebKitDOMEvent *self,
                                 const gchar *eventTypeArg,
                                 gboolean canBubbleArg,
                                 gboolean cancelableArg);

#### Parameters

self | A WebKitDOMEvent |
eventTypeArg | A gchar |
canBubbleArg | A gboolean |
cancelableArg | A gboolean |

### webkit_dom_event_stop_immediate_propagation ()

    void
    webkit_dom_event_stop_immediate_propagation
                                   (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

### webkit_dom_event_get_target ()

    WebKitDOMEventTarget *
    webkit_dom_event_get_target (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A WebKitDOMEventTarget.

[transfer full]

### webkit_dom_event_get_current_target ()

    WebKitDOMEventTarget *
    webkit_dom_event_get_current_target (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A WebKitDOMEventTarget.

[transfer full]

### webkit_dom_event_get_event_phase ()

    gushort
    webkit_dom_event_get_event_phase (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gushort

### webkit_dom_event_get_bubbles ()

    gboolean
    webkit_dom_event_get_bubbles (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gboolean

### webkit_dom_event_get_cancelable ()

    gboolean
    webkit_dom_event_get_cancelable (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gboolean

### webkit_dom_event_get_time_stamp ()

    guint32
    webkit_dom_event_get_time_stamp (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A guint32

### webkit_dom_event_get_default_prevented ()

    gboolean
    webkit_dom_event_get_default_prevented
                                   (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gboolean

### webkit_dom_event_get_src_element ()

    WebKitDOMEventTarget *
    webkit_dom_event_get_src_element (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A WebKitDOMEventTarget.

[transfer full]

### webkit_dom_event_get_return_value ()

    gboolean
    webkit_dom_event_get_return_value (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gboolean

### webkit_dom_event_set_return_value ()

    void
    webkit_dom_event_set_return_value (WebKitDOMEvent *self,
                                       gboolean value);

#### Parameters

self | A WebKitDOMEvent |
value | A gboolean |

### webkit_dom_event_get_cancel_bubble ()

    gboolean
    webkit_dom_event_get_cancel_bubble (WebKitDOMEvent *self);

#### Parameters

self | A WebKitDOMEvent |

#### Returns

A gboolean

### webkit_dom_event_set_cancel_bubble ()

    void
    webkit_dom_event_set_cancel_bubble (WebKitDOMEvent *self,
                                        gboolean value);

#### Parameters

self | A WebKitDOMEvent |
value | A gboolean |

## Types and Values

### WebKitDOMEvent

    typedef struct _WebKitDOMEvent WebKitDOMEvent;

## Property Details

### The `“bubbles”` property

      “bubbles”                  gboolean

read-only gboolean Event:bubbles.

Flags: Read

Default value: FALSE

### The `“cancel-bubble”` property

      “cancel-bubble”            gboolean

read-write gboolean Event:cancel-bubble.

Flags: Read / Write

Default value: FALSE

### The `“cancelable”` property

      “cancelable”               gboolean

read-only gboolean Event:cancelable.

Flags: Read

Default value: FALSE

### The `“current-target”` property

      “current-target”           WebKitDOMEventTarget *

read-only WebKitDOMEventTarget* Event:current-target.

Flags: Read

### The `“default-prevented”` property

      “default-prevented”        gboolean

read-only gboolean Event:default-prevented.

Flags: Read

Default value: FALSE

### The `“event-phase”` property

      “event-phase”              guint

read-only gushort Event:event-phase.

Flags: Read

Default value: 0

### The `“return-value”` property

      “return-value”             gboolean

read-write gboolean Event:return-value.

Flags: Read / Write

Default value: FALSE

### The `“src-element”` property

      “src-element”              WebKitDOMEventTarget *

read-only WebKitDOMEventTarget* Event:src-element.

Flags: Read

### The `“target”` property

      “target”                   WebKitDOMEventTarget *

read-only WebKitDOMEventTarget* Event:target.

Flags: Read

### The `“time-stamp”` property

      “time-stamp”               guint

read-only guint32 Event:time-stamp.

Flags: Read

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-only gchar* Event:type.

Flags: Read

Default value: ""